#include "idea.c"

int main(int argc, char **argv)
{ 
	
	struct idea_context *enc, *dec;
	
	enc = set_new_context();
	dec = set_new_context();
	
	u_int16_t text[]={
		0x0000, 0x0001, 0x0002, 0x0003,
	};
	u_int16_t test_key[]={
		0x0001, 0x0002, 0x0003, 0x0004,
		0x0005, 0x0006, 0x0007, 0x0008,
	}; 
	/*------SET NEW CONTEXTs for enryprion and decryption------*/
	get_key(test_key, enc);
	get_key(test_key, dec);
	memcpy(enc->block, text, sizeof(text));
	
	/*-----------ENCRYPTION-------------*/
	sckrambling(enc);
	
	/*-----------DECRYPTION-------------*/
	memcpy(dec->block, enc->block, sizeof(text));
	invertkey(dec);
	sckrambling(dec);

	/*-------------FINISH---------------*/
	idea_context_free(&enc);
	idea_context_free(&dec);
	
	return 0;
} 
